Vítejte !   Přihlášení | Registrace
Hlavní menu
CATIA fórum.cz
Novinky
Seriál CATIA
Obecně o CAD
Novinky ze světa DS
Makra pro CATIA V5
Diskuse
Vytvořit téma
Koncepty
Seznam oblíbených
Soukromé zprávy
Pravidla
Live CHAT
VIP žádost
Základy Catia
Ke stažení
Doporučujeme
Pracovní příležitosti
Reklama a kampaně
O fóru
Nápověda

barvení ISO pohledu ve výkrese

Kompletní přehled příspěvků v tématu barvení ISO pohledu ve výkrese řazený podle data jejich publikace na fóru.

UživatelPříspěvek
Jiří Šrom

Poslat zprávu | Profil
Datum: 1.2. 2019 | Zobrazeno: 808x
Konfigurace CATIA: V5-6R2016 KWA

Text dotazu:
Dobrý den, měl bych dotaz na nějaké drobné makro, které by dokázalo na vybraném ISO pohledu ve výkrese automaticky zapnout barvy 3D colors a ještě i změnit Exact view na Raster. A v Raster bych potřeboval mít v Options nastavení Shading with edges.
Zkoušel jsem to nahráním makra přes Start Recording, ale toto není úplně správné řešení. Po spuštění makra se mi zapne 3D colors, ale další nastavení už ne. Takže mám barevné obrysy dílu, ale už nikoliv plochy, na nichž to potřebuji nejvíce. Nehledě k tomu, že se mi nedaří si vybrat pohled, na němž chci změnu provést, a vždy to bere pouze pohled s názvem, který je definován v makru.
Zde je text, který mi to nahrálo:

Language="VBSCRIPT"


Sub CATMain()
Set drawingDocument1 = CATIA.ActiveDocument
Set drawingSheets1 = drawingDocument1.Sheets
Set drawingSheet1 = drawingSheets1.Item("Sheet.1")
Set drawingViews1 = drawingSheet1.Views
Set drawingView1 = drawingViews1.Item("Isometric view")
Set drawingViewGenerativeBehavior1 = drawingView1.GenerativeBehavior
drawingViewGenerativeBehavior1.ColorInheritanceMode = cat3DColorInheritanceModeOn
Set drawingViewGenerativeBehavior1 = drawingView1.GenerativeBehavior
drawingViewGenerativeBehavior1.ForceUpdate
Set drawingViewGenerativeBehavior1 = drawingView1.GenerativeBehavior
End Sub


Prosím tedy o pomoc s tímto problémem.
Děkuji

Přiložené obrázky:

Ing Jan Cinert

Poslat zprávu | Profil
[#6604] | Publikováno: 04.02. 2019 - 19:11
Dobrý den,

něco by s tím jít mohlo. Klíčem je objekt GenerativeBehavior a jeho vlastnosti ColorInheritanceMode (to máte v kódu), dále pak ImageViewMode a nakonec RepresentationMode (ke každé vlastnosti jsou i enumerace) - vše na obrázcích v příloze.

Aby se změnil pouze vámi vybraný pohled, je třeba do kódu dát část, kde si Catie řekne o vybrání pohledu, tedy něco vy smyslu:

Set oSel =  CATIA.ActiveDocument.Selection

Dim aObjType(0)
aObjType(0) = "DrawingView"
oSel.SelectElement2 aObjType, "Vyberte pohled...", false
Set drawingView1 = oSel.Item(1).Value


a pak si pohrát s nastavením vlastností pohledu - zbytek už zůstane.

Přiložené obrázky:



Uživatel nepřihlášen

Pro zobrazení obsahu stránky / provedení akce (vytvoření nového téma, napsání odpovědi do diskuse apod.) musíte být přihlášeni.